Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans
Class TransConfiguration

    java.lang.Object
      org.pentaho.di.trans.TransConfiguration

    public class TransConfiguration

extends Object

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`TransConfiguration(Node configNode)`
`TransConfiguration(TransMeta transMeta, TransExecutionConfiguration transExecutionConfiguration)`

Method Summary
`static TransConfiguration` | `fromXML(String xml)`
`TransExecutionConfiguration` | `getTransExecutionConfiguration()`
`TransMeta` | `getTransMeta()`
`String` | `getXML()`
`void` | `setTransExecutionConfiguration(TransExecutionConfiguration transExecutionConfiguration)`
`void` | `setTransMeta(TransMeta transMeta)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### TransConfiguration

    public TransConfiguration(TransMeta transMeta,
                              TransExecutionConfiguration transExecutionConfiguration)

Parameters:
  `transMeta` -
  `transExecutionConfiguration` -

### TransConfiguration

    public TransConfiguration(Node configNode)
                       throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### getXML

    public String getXML()
                  throws IOException,
                         org.pentaho.di.core.exception.KettleException

  Throws:
    `IOException`
    `org.pentaho.di.core.exception.KettleException`

### fromXML

    public static final TransConfiguration fromXML(String xml)
                                            throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getTransExecutionConfiguration

    public TransExecutionConfiguration getTransExecutionConfiguration()

  Returns:
    the transExecutionConfiguration

### setTransExecutionConfiguration

    public void setTransExecutionConfiguration(TransExecutionConfiguration transExecutionConfiguration)

  Parameters:
    `transExecutionConfiguration` - the transExecutionConfiguration to set

### getTransMeta

    public TransMeta getTransMeta()

  Returns:
    the transMeta

### setTransMeta

    public void setTransMeta(TransMeta transMeta)

  Parameters:
    `transMeta` - the transMeta to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD